"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true,
});
exports.corde = void 0;

const hooks_1 = require("./hooks");

const expect_1 = require("./expect");

const closures_1 = require("./closures");

const api_1 = require("./api");

const runtime_1 = require("./common/runtime");

function getConfigs() {
  return new api_1.ConfigAPI(runtime_1.runtime.configs);
}

function getBot() {
  return new api_1.BotAPI(runtime_1.runtime.bot);
}

var corde;

(function (corde) {
  corde.afterAll = hooks_1.afterAll;
  corde.beforeStart = hooks_1.beforeStart;
  corde.afterEach = hooks_1.afterEach;
  corde.beforeEach = hooks_1.beforeEach;
  corde.expect = expect_1.expect;
  corde.group = closures_1.group;
  corde.describe = closures_1.group;
  corde.it = closures_1.test;
  corde.test = closures_1.test;
  corde.bot = getBot();
  corde.configs = getConfigs();
})((corde = exports.corde || (exports.corde = {})));
