"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true,
});
exports.ToReturn = void 0;

const messageExpectTest_1 = require("./messageExpectTest");

class ToReturn extends messageExpectTest_1.MessageExpectTest {
  constructor(params) {
    super({ ...params, testName: "toReturn" });
  }

  async action(expect) {
    const errorReport = this.validateExpect(expect);

    if (errorReport) {
      return errorReport;
    }

    try {
      await this.sendCommandMessage();
    } catch (error) {
      return this.createFailedTest(error.message);
    }

    let returnedMessage;

    try {
      returnedMessage = await this.cordeBot.events.onceMessage(
        this.cordeBot.testBotId,
        this.channelId,
        this.timeout,
      );
    } catch {
      if (this.isNot) {
        return this.createPassTest();
      }

      return this.createReport(
        "expected: testing bot to send a message\n",
        "received: no message was sent",
      );
    }

    this.hasPassed = this.isMessagesEquals(returnedMessage, expect);
    this.invertHasPassedIfIsNot();

    if (this.hasPassed) {
      return this.createPassTest();
    }

    if (this.isNot) {
      return this.createReport(
        "expected: message from bot be different from expectation\n",
        "received: both returned and expectation are equal",
      );
    }

    return this.createReportForExpectAndResponse(expect, returnedMessage);
  }
}

exports.ToReturn = ToReturn;
