"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true,
});
exports.beforeEach = void 0;

const testCollector_1 = require("../common/testCollector");

const utils_1 = require("../utils");

const hookBuilder_1 = require("./hookBuilder");

function beforeEach(fn, timeout) {
  if (typeof fn === "function") {
    const trace = (0, utils_1.getStackTrace)();
    (0, hookBuilder_1.hookBuilder)({
      queueToAdd: testCollector_1.testCollector.beforeEachFunctions,
      fn,
      trace,
      errorTitle: "BeforeEachError",
      timeout,
    });
  }
}

exports.beforeEach = beforeEach;
