"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true,
});

const runtime_1 = require("./common/runtime");

function getPackage() {
  if (runtime_1.runtime.environment.isUnityTest) {
    return require("../package.json");
  }

  return require("../../package.json");
}

const { version: VERSION, description: DESCRIPTION } = getPackage();

class Package {
  get version() {
    return VERSION;
  }

  get description() {
    return DESCRIPTION;
  }
}

const pack = new Package();
exports.default = pack;
