"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true,
});
exports.dateDiff = void 0;
const MILISECONDS_PER_SECOND = 1000;

function dateDiff(date1, date2) {
  if (!date1 || !date2 || !(date1 instanceof Date) || !(date2 instanceof Date)) {
    return ["", 0];
  }

  const difference = date1.getTime() - date2.getTime();

  if (difference === 0) {
    return ["", 0];
  }

  if (difference < MILISECONDS_PER_SECOND) {
    return [`${difference}ms`, difference];
  }

  if (difference % 10 === 0) {
    return [`${difference / MILISECONDS_PER_SECOND}s`, difference];
  }

  const formatedValue = difference.toString().replace(/\B(?<!\.\d*)(?=(\d{3})+(?!\d))/g, ".");
  return [`${formatedValue}s`, difference];
}

exports.dateDiff = dateDiff;
