"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true,
});
exports.resolveName = void 0;

const typeOf_1 = require("./typeOf");

async function resolveName(name) {
  try {
    let resolvedName = name;

    while (typeof resolvedName === "function") {
      resolvedName = await resolvedName();
    }

    if (
      (0, typeOf_1.typeOf)(resolvedName) === "undefined" ||
      (0, typeOf_1.typeOf)(resolvedName) === "null"
    ) {
      return "";
    }

    if (
      (0, typeOf_1.typeOf)(resolvedName) === "array" ||
      (0, typeOf_1.typeOf)(resolvedName) === "symbol"
    ) {
      return resolvedName.toString();
    }

    if ((0, typeOf_1.typeOf)(resolvedName) === "object") {
      return JSON.stringify(resolvedName);
    }

    return resolvedName;
  } catch (error) {
    return "";
  }
}

exports.resolveName = resolveName;
