/**
 * Like `typeof` but returns **null** if the value is **null**.
 * And **array** if the object is an array.
 *
 * @example
 *
 * typeof null // "object"
 * typeOf(null) // "null"
 * typeOf(undefined) // "undefined"
 * typeOf([]) // "array"
 *
 * @param value Object to get it's type
 * @returns the type in string.
 * @internal
 */
export declare function typeOf(
  value: any,
):
  | "string"
  | "number"
  | "bigint"
  | "boolean"
  | "symbol"
  | "undefined"
  | "object"
  | "function"
  | "null"
  | "array";
